## ee-backuppc-api 1.9~ee120+1

=== Makefile ===
CC=gcc
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

install:
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) cgi-bin/setuidwrapper.c -o cgi-bin/index.cgi

clean:
	rm -f cgi-bin/index.cgi

.PHONY: build clean

=== debian/changelog ===
ee-backuppc-api (1.9~ee120+1) bookworm-ee; urgency=medium

  * Fix total backup size calculation (closes: #118683)

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Thu, 08 Jan 2026 15:07:33 +0100

ee-backuppc-api (1.8~ee120+1) bookworm-ee; urgency=medium

  * Utf8decode all possible keys of RestoreInfo before sending json response

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Mon, 23 Jun 2025 15:36:49 +0200

ee-backuppc-api (1.7~ee120+1) bookworm-ee; urgency=medium

  * Fix direct restore of path containing non ascii chars (closes: #111789)

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Fri, 20 Jun 2025 16:46:12 +0200

ee-backuppc-api (1.6~ee120+1) bookworm-ee; urgency=medium

  * RestoreJSON: use srcPath as default dstPath (#107734)

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Wed, 22 Jan 2025 19:02:14 +0100

ee-backuppc-api (1.5~ee120+1) bookworm-ee; urgency=medium

  * Add HostStatusJSON action

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Thu, 16 Jan 2025 16:06:50 +0100

ee-backuppc-api (1.4~ee120+1) bookworm-ee; urgency=medium

  * RestoreInfoJSON: rename request num key as backup to preserve restore num

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Thu, 16 Jan 2025 12:39:01 +0100

ee-backuppc-api (1.3~ee120+1) bookworm-ee; urgency=medium

  * Improve RestoreInfoJSON result by adding request info

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Mon, 13 Jan 2025 20:41:33 +0100

ee-backuppc-api (1.2~ee120+1) bookworm-ee; urgency=medium

  * Add RestoreInfoJSON action

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Mon, 13 Jan 2025 18:51:54 +0100

ee-backuppc-api (1.1~ee120+1) bookworm-ee; urgency=medium

  * Fix indent style and add vim modeline to keep it clean
  * Stats: add User & MoreUsers keys

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Mon, 28 Oct 2024 16:55:56 +0100

ee-backuppc-api (1.0~ee120+1) bookworm-ee; urgency=medium

  * Fix version typo in CI file
  * Conflict with old eebackuppc4

 -- APT Easter-eggs - ee-backuppc-api <support+ee-backuppc-api@easter-eggs.com>  Mon, 16 Oct 2023 13:53:02 +0200

ee-backuppc-api (1.0) unstable; urgency=medium

  * Initial Release.

 -- Emmanuel Lacour <elacour@easter-eggs.com>  Mon, 16 Oct 2023 11:07:45 +0200

=== debian/control ===
Source: ee-backuppc-api
Section: utils
Priority: optional
Maintainer: Emmanuel Lacour <elacour@easter-eggs.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://gitlab.easter-eggs.com/ee/ee-backuppc-api
Rules-Requires-Root: no

Package: ee-backuppc-api
Architecture: any
Depends: backuppc (>= 4.0.0), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libjson-xs-perl
Conflicts: eebackuppc4
Description: Custom API for BackupPC
 Provide a custom API for BackupPC.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


%:
	dh $@
